SampleImmutable (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: SampleImmutable

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class SampleImmutable

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.SampleImmutable

All Implemented Interfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent`, `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`

Direct Known Subclasses:
  `Sample`

public class SampleImmutable extends Object implements ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SampleImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Sample sample)`
  Creates a new object that wraps the sample, which is assumed be an existing sample with all fetch options retrieved.
  `SampleImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Sample sample, boolean existingSample)`
  Creates a new object that wraps the sample, which is assumed to have all fetch options retrieved.
  `SampleImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Sample sample, EnumSet<ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.SampleFetchOption> retrievedFetchOptions)`
  Creates a new object that wraps the sample, which is assumed be an existing sample.
  `SampleImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Sample sample, EnumSet<ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.SampleFetchOption> retrievedFetchOptions, boolean existingSample)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canGetContainedSamples()`
  `protected void`
  `checkExists()`
  Throw an exception if the sample does not exist
  `boolean`
  `equals(Object obj)`
  `String`
  `getCode()`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable>`
  `getContainedSamples()`
  `ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.id.IObjectId`
  `getEntityId()`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable`
  `getExperiment()`
  `Long`
  `getId()`
  `List<String>`
  `getParentSampleIdentifiers()`
  `String`
  `getPermId()`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable`
  `getProject()`
  `String`
  `getPropertyValue(String propertyCode)`
  `ch.systemsx.cisd.openbis.generic.shared.basic.dto.Sample`
  `getSample()`
  `String`
  `getSampleIdentifier()`
  `String`
  `getSampleType()`
  `String`
  `getSpace()`
  `int`
  `hashCode()`
  `boolean`
  `isExistingSample()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SampleImmutable

    public SampleImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Sample sample)
    Creates a new object that wraps the sample, which is assumed be an existing sample with all fetch options retrieved.
    Parameters:
      `sample` - The sample to wrap.

  - ### SampleImmutable

    public SampleImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Sample sample, EnumSet<ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.SampleFetchOption> retrievedFetchOptions)
    Creates a new object that wraps the sample, which is assumed be an existing sample.
    Parameters:
      `sample` - The sample to wrap.
      `retrievedFetchOptions` - The fetch options the sample includes.

  - ### SampleImmutable

    public SampleImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Sample sample, boolean existingSample)
    Creates a new object that wraps the sample, which is assumed to have all fetch options retrieved.
    Parameters:
      `sample` - The sample to wrap.
      `existingSample` - True if the sample exists in the DB.

  - ### SampleImmutable

    public SampleImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Sample sample, EnumSet<ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.SampleFetchOption> retrievedFetchOptions, boolean existingSample)

- ## Method Details

  - ### getExperiment

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable getExperiment()
    Specified by:
      `getExperiment` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`

  - ### getProject

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable getProject()
    Specified by:
      `getProject` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`

  - ### getSampleIdentifier

    public String getSampleIdentifier()
    Specified by:
      `getSampleIdentifier` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`

  - ### getId

    public Long getId()

  - ### getEntityId

    public ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.id.IObjectId getEntityId()
    Specified by:
      `getEntityId` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent`

  - ### getSample

    public ch.systemsx.cisd.openbis.generic.shared.basic.dto.Sample getSample()

  - ### isExistingSample

    public boolean isExistingSample()
    Specified by:
      `isExistingSample` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`

  - ### checkExists

    protected void checkExists()
    Throw an exception if the sample does not exist

  - ### getPropertyValue

    public String getPropertyValue(String propertyCode)
    Specified by:
      `getPropertyValue` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`

  - ### getSampleType

    public String getSampleType()
    Specified by:
      `getSampleType` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`

  - ### getSpace

    public String getSpace()
    Specified by:
      `getSpace` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`

  - ### getCode

    public String getCode()
    Specified by:
      `getCode` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`

  - ### getPermId

    public String getPermId()
    Specified by:
      `getPermId` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`

  - ### getContainedSamples

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable> getContainedSamples()
    Specified by:
      `getContainedSamples` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`

  - ### getParentSampleIdentifiers

    public List<String> getParentSampleIdentifiers()
    Specified by:
      `getParentSampleIdentifiers` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`

  - ### canGetContainedSamples

    public boolean canGetContainedSamples()
    Specified by:
      `canGetContainedSamples` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`